package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.enums.course.CourseRelationTypeEnum;
import com.yonge.cooleshow.biz.dal.enums.course.RelationMusicAlbumEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-24
 */
public class CourseMusicAlbumRelationDto {

    @ApiModelProperty("关联id")
    private Long relationId;

    @ApiModelProperty("曲目或专辑id")
    private Long musicAlbumId;

    @ApiModelProperty("关联类型 RECOMMEND：推荐 GIFT：赠品")
    private CourseRelationTypeEnum useRelationType;

    @ApiModelProperty("类型 MUSIC：曲目 ALBUM:专辑")
    private RelationMusicAlbumEnum relationMusicAlbum;

    public CourseRelationTypeEnum getUseRelationType() {
        return useRelationType;
    }

    public void setUseRelationType(CourseRelationTypeEnum useRelationType) {
        this.useRelationType = useRelationType;
    }

    public Long getRelationId() {
        return relationId;
    }

    public void setRelationId(Long relationId) {
        this.relationId = relationId;
    }

    public Long getMusicAlbumId() {
        return musicAlbumId;
    }

    public void setMusicAlbumId(Long musicAlbumId) {
        this.musicAlbumId = musicAlbumId;
    }

    public RelationMusicAlbumEnum getRelationMusicAlbum() {
        return relationMusicAlbum;
    }

    public void setRelationMusicAlbum(RelationMusicAlbumEnum relationMusicAlbum) {
        this.relationMusicAlbum = relationMusicAlbum;
    }
}
